Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone
Class Scone

    java.lang.Object
      scone.Scone

    public class Scone

extends java.lang.Object

This class has the main method to invoke the Scone framework. Execute `java scone.Scone -help` for command line options.

Version:
  1.2.1
Author:
  Harald Weinreich, Volkert Buchmann, Torsten Haß, Frank Wollenweber

Field Summary
`static java.lang.String` | `COPYRIGHT`
`static PluginRepository` | `plugins`
`static java.lang.String` | `VERSION`

Constructor Summary
`Scone()`

Method Summary
`static void` | `abortWBI()` aborts WBI.
`protected static java.lang.String[]` | `delPosInArray(int pos, java.lang.String[] array)`
`static void` | `initCaches()`
`static void` | `main(java.lang.String[] args)`
`protected static int` | `posInArray(java.lang.String arg, java.lang.String[] args)`
`static void` | `shutdownWBI(int timeout)` shuts down WBI.
`static void` | `terminate()` Invoke this method in order to shut down scone.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### plugins

    public static PluginRepository plugins

Constructor Detail

### Scone

    public Scone()

Method Detail

### main

    public static void main(java.lang.String[] args)

### delPosInArray

    protected static java.lang.String[] delPosInArray(int pos,
                                                      java.lang.String[] array)

### posInArray

    protected static int posInArray(java.lang.String arg,
                                    java.lang.String[] args)

### initCaches

    public static void initCaches()

### terminate

    public static void terminate()

  Invoke this method in order to shut down scone. This does not shut down the proxy, but is called by the proxy when it shut downs itself. cleans the caches for safe termination and calls each Plugin's terminate() method

### abortWBI

    public static void abortWBI()

  aborts WBI. Works like the "abort" command on the WBI console.

### shutdownWBI

    public static void shutdownWBI(int timeout)

  shuts down WBI. Works like the "shutdown" command on the WBI console.

  Parameters:
    `timeout` - the timeout

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD